Name:           python-socs
Version:        0.5.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Simons Observatory Control System

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/simonsobs/socs
Source:         %{pypi_source socs}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'socs' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-socs
Summary:        %{summary}

%description -n python3-socs %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-socs acu,all,camera,labjack,magpie,pfeiffer,pysmurf,smurf-sim,timing-master


%prep
%autosetup -p1 -n socs-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x acu,all,camera,labjack,magpie,pfeiffer,pysmurf,smurf-sim,timing-master


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-socs -f %{pyproject_files}


%changelog
%autochangelog